
Katello - Bug #4534

'foreman-rake katello:reset' does not work against nightlies (3/3/14)

03/03/2014 11:12 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running 'foreman-rake katello:reset' against the nightlies, various errors occur.  For example:

sudo: sorry, you must have a tty to run sudo (even with sudo password for wheel disabled and the foreman user in wheel)

Couldn't drop foreman : #<ActiveRecord::StatementInvalid: PGError: ERROR:  database "foreman" is being accessed by other users

(even with httpd stopped)

Expected /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/erratum_rule.rb to define Katello::ErratumRule

History

#1 - 03/05/2014 06:52 PM - Eric Helms

Note: This is specific to it's use in a production. We should either adapt this task to work in all environments or use the installer for data resets.

#2 - 03/06/2014 05:44 PM - Eric Helms

- Category set to Installer

#3 - 06/04/2014 12:45 AM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

This is a rake task that is intended for use in development environments and we should rely on the installer to do any resetting that needs to be done.

#4 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
